Bug 524896 - Review Request: perl-Nagios-NSCA - Perl client for Nagios - NSCA.
Summary: Review Request: perl-Nagios-NSCA - Perl client for Nagios - NSCA.
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 524898 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-22 16:38 UTC by Steve Traylen
Modified: 2009-11-24 07:43 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-10-26 22:24:31 UTC
emmanuel: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2009-09-22 16:38:59 UTC
Spec URL: http://cern.ch/steve.traylen/rpms/perl-Nagios-NSCA/perl-Nagios-NSCA.spec
SRPM URL: http://cern.ch/steve.traylen/rpms/perl-Nagios-NSCA/perl-Nagios-NSCA-0.1-1.fc11.src.rpm

Description: perl-Nagios-NSCA module.

Provides an perl client to submit passive test results back to Nagios NSCA
server.

One item I have of concern here is the cpan module contains no license file.
Is the default for something from CPAN "GPL+ or Artistic" ?

Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1698352

$ rpmlint SPECS/perl-Nagios-NSCA.spec \
          SRPMS/perl-Nagios-NSCA-0.1-1.fc11.src.rpm \
          RPMS/noarch/perl-Nagios-NSCA-0.1-1.fc11.noarch.rpm 

perl-Nagios-NSCA.noarch: W: no-documentation
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

Steve

Comment 1 Jason Tibbitts 2009-09-22 21:53:56 UTC
*** Bug 524898 has been marked as a duplicate of this bug. ***

Comment 2 Jason Tibbitts 2009-09-22 22:01:49 UTC
There is no default license for code on CPAN.  The "Unknown" on the CPAN page
should be a reasonable clue to that.  You must actually inspect the source to
determine the license.

All I can see is this in Nagios/NMSCA/Client/CommandLine.pm:

    NSCA Perl Client 0.1
    Copyright (c) 2006 Matthew O'Connor (matthew\@canonical.org)
    Last Modified: 04-10-2006
    License: GPL
    Encryption Routines: $encrypt

Which would seem to suggest GPL+ (and certainly not "GPL+ or Artistic" as you
have), but honestly it would be better if you contact the author for
clarification.  If you can obtain a statement of the license via email, you can
include the text of the email in the package.  If you can't get clarification
for whatever reason then I think GPL+ would do.

Comment 3 Steve Traylen 2009-09-22 22:08:08 UTC
Thanks,
I've contacted the author.
I did look in source for a license somewhere but clearly not well enough.
Sure I did a recursive grep for "license" but clearly badly.
Steve
Sorry for the double submit, was a really bad wireless.
Steve

Comment 4 Steve Traylen 2009-09-29 13:42:10 UTC
I've not had any response from the author but given the contents 
of the files as  highlighted above this is GPL+

Please can legal-block be removed?

Steve

http://cern.ch/straylen/rpms/perl-Nagios-NSCA/perl-Nagios-NSCA-0.1-2.fc11.src.rpm

http://cern.ch/straylen/rpms/perl-Nagios-NSCA/perl-Nagios-NSCA.spec

Comment 5 Steve Traylen 2009-10-05 08:20:09 UTC
I believe this to be no longer blocked by legal items. The licesnse is
clear even if I missed it the first time.
Steve

Comment 6 Xavier Bachelot 2009-10-05 22:36:44 UTC
some quick notes :
- the %doc section is empty, you can remove it
- /usr/bin/nsca might be confusing as there is already a send_nsca provided in /usr/sbin with the nsca-client package.
- other than that, the package looks good. I have no time to write a full review now, but I will do it if no one beats me.

Comment 7 Steve Traylen 2009-10-05 23:48:51 UTC
Xavier,

Those comments make sense.
send_nsca I have instead included as a %doc for the sake
of example given we are lacking documentation.

http://cern.ch/straylen/rpms/perl-Nagios-NSCA/perl-Nagios-NSCA-0.1-3.fc11.src.rpm
http://cern.ch/straylen/rpms/perl-Nagios-NSCA/perl-Nagios-NSCA.spec 

rpmlint perl-Nagios-NSCA.spec \
      ../SRPMS/perl-Nagios-NSCA-0.1-3.fc11.src.rpm \
      ../RPMS/noarch/perl-Nagios-NSCA-0.1-3.fc11.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.


Steve

Comment 8 Emmanuel Seyman 2009-10-20 09:04:03 UTC
Taking.

Comment 9 Emmanuel Seyman 2009-10-24 09:55:14 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated


=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: rawhide/x86_64
 [x] Rpmlint output: 2 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
md5sum Nagios-NSCA-0.1.tar.gz
58da3f36e0fc34a7db73e467de7f36f2  Nagios-NSCA-0.1.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
http://koji.fedoraproject.org/koji/taskinfo?taskID=1765978
 [?] Package should compile and build into binary rpms on all supported
architectures.
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the tests pass

APPROVED.

Comment 10 Steve Traylen 2009-10-24 10:33:57 UTC
New Package CVS Request
=======================
Package Name: perl-Nagios-NSCA
Short Description: Nagios::NSCA Perl module
Owners: stevetraylen
Branches: F-11 F-12 EL-5
InitialCC: perl-sig


(For an EL-4 build perl-Digest-CRC would be needed first.)

Comment 11 Kevin Fenzi 2009-10-26 20:05:30 UTC
cvs done.

Comment 12 Fedora Update System 2009-10-26 22:20:01 UTC
perl-Nagios-NSCA-0.1-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Nagios-NSCA-0.1-3.el5

Comment 13 Fedora Update System 2009-10-26 22:20:35 UTC
perl-Nagios-NSCA-0.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Nagios-NSCA-0.1-3.fc11

Comment 14 Steve Traylen 2009-10-26 22:24:31 UTC
Note to self, the F12 update can not currently be submitted due to 
closeness to release of F12. Todo.

Steve

Comment 15 Fedora Update System 2009-11-05 19:29:03 UTC
perl-Nagios-NSCA-0.1-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Nagios-NSCA-0.1-3.fc12

Comment 16 Fedora Update System 2009-11-13 19:32:51 UTC
perl-Nagios-NSCA-0.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-11-16 07:32:57 UTC
perl-Nagios-NSCA-0.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-11-24 07:43:12 UTC
perl-Nagios-NSCA-0.1-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.